Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class DefaultPropValueList

    java.lang.Object
      |
      +--jpos.profile.DefaultPropValueList

All Implemented Interfaces:
  PropValueList

class DefaultPropValueList
extends java.lang.Object
implements PropValueList

Default implementation of the PropValueList interface

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Inner Class Summary
`(package private) class` | `DefaultPropValueList.DefaultIterator` Simple interface to iterate through the list

Inner classes inherited from class jpos.profile.PropValueList
`PropValueList.Iterator`

Constructor Summary
`(package private)` | `DefaultPropValueList()` Default ctor

Method Summary
`void` | `add(PropValue propValue)` Adds a new PropValue to this list
`boolean` | `contains(PropValue propValue)`
`int` | `getSize()`
`boolean` | `isEmpty()`
`PropValueList.Iterator` | `iterator()`
`void` | `remove(PropValue propValue)` Removes the PropValue to this list
`void` | `removeAll()` Removes all PropValue in this list

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPropValueList

    DefaultPropValueList()

  Default ctor

Method Detail

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `PropValueList`
  Returns:
    the current size of this list

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `PropValueList`
  Returns:
    true if this list is empty

### add

    public void add(PropValue propValue)

  Adds a new PropValue to this list
  Specified by:
    `add` in interface `PropValueList`
  Parameters:
    `propValue` - the propValue to add

### remove

    public void remove(PropValue propValue)

  Removes the PropValue to this list
  Specified by:
    `remove` in interface `PropValueList`
  Parameters:
    `propValue` - the propValue to remove

### removeAll

    public void removeAll()

  Removes all PropValue in this list
  Specified by:
    `removeAll` in interface `PropValueList`

### contains

    public boolean contains(PropValue propValue)

  Specified by:
    `contains` in interface `PropValueList`
  Parameters:
    `propValue` - the PropValue
  Returns:
    true if the PropValue is already in the list

### iterator

    public PropValueList.Iterator iterator()

  Specified by:
    `iterator` in interface `PropValueList`
  Returns:
    an PropValueList.Iterator object for this list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details